=== cmake/CMakeLists.txt ===
install(FILES FindPhononInternal.cmake DESTINATION ${BUILDSYSTEM_INSTALL_DIR})
