=== debian/changelog ===
phonon (4:4.11.1-4) unstable; urgency=medium

  [ Debconf translation updates ]
  * Dutch (Frans Spiesschaert). (Closes: #945358)
  * Portuguese (Américo Monteiro). (Closes: #962410)
  * Brazilian portuguese (Jorge Neto, Adriano Rafael Gomes). (Closes: #987438)
  * Spanish (Camaleón). (Closes: #987338)

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Mon, 03 May 2021 18:22:52 -0300

phonon (4:4.11.1-3) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Tue, 12 Nov 2019 21:09:15 +0100

phonon (4:4.11.1-2) experimental; urgency=medium

  * Team upload.
  * Build and ship the phononsettings application:
    - add the new phonon4qt5settings binary package, with the phononsettings,
      and the translations
    - remove the -DPHONON_BUILD_SETTINGS=OFF cmake parameter
  * Remove few qt4 leftovers.
  * Split the shared data files of libphonon to an own libphonon4qt5-data.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Nov 2019 23:02:53 +0100

phonon (4:4.11.1-1) unstable; urgency=medium

  * Team upload.

  [ Lisandro Damián Nicanor Pérez Meyer ]
  * Add German debconf translation (Closes: #939646). Thanks Helge Kreutzmann!
  * Add French translation (Closes: #941302). Thanks Jean-Pierre Giraud!
  * Add Russian translation (Closes: #942637). Thanks Lev Lamberov!

  [ Pino Toscano ]
  * Add the configuration for the CI on salsa.
  * Bump Standards-Version to 4.4.1, no changes required.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.5
    - bump extra-cmake-modules to 5.60
  * Update the cmake parameters:
    - replace -DPHONON_INSTALL_QT_EXTENSIONS_INTO_SYSTEM_QT=ON with
      -DKDE_INSTALL_USE_QT_SYS_PATHS=ON, same effect
    - remove -DPHONON_BUILD_PHONON4QT5=ON, and
      -DPHONON_INSTALL_QT_COMPAT_HEADERS=ON, no more used
    - add -DPHONON_BUILD_SETTINGS=OFF for now (the phononsettings tool will
      be enabled later)
  * Update the patches:
    - phonon-inc.patch: drop, no more needed
    - phonon_is_not_forced_in_KDE.diff: drop, no more needed
    - findqt4_optional_x11.diff: drop, no more needed
  * Update the symbols file.
  * Update install files.
  * Remove translations of phononsettings, which is not shipped.
  * Switch from dhmk to the dh sequencer:
    - invoke the dh sequencer using the kf5 addon
    - explicitly link in as-needed mode
    - make sure libphonon4qt5experimental4 has a strict dependency on
      libphonon4qt5-4
    - call the right debhelper command instead of $(overridden_command)
    - use $(DEB_VERSION_EPOCH_UPSTREAM) from /usr/share/dpkg/pkg-info.mk
      instead of $(dqk_upstream_version)
    - remove the -DKDE_INSTALL_USE_QT_SYS_PATHS=ON cmake parameter, as it is
      already set by the kf5 addon
  * Move all the experimental headers from libphonon4qt5-dev to
    libphonon4qt5experimental-dev
    - add proper breaks/replaces

 -- Pino Toscano <pino@debian.org>  Wed, 06 Nov 2019 19:03:40 +0100

phonon (4:4.10.3-3) unstable; urgency=medium

  * Drop Qt 4 support (Closes: #875095).
  * Bump debhelper compat to 12.
    - Pass --fail-missing to dh_missing instead of dh_install.
  * Drop debconf translations for phonon-backend-null and set up translations
    for phonon4qt5-backend-null.

 -- Lisandro Damián Nicanor Pérez Meyer <lisandro@debian.org>  Sat, 31 Aug 2019 13:35:27 -0300
